---
deprecations:
- feature_name: "Deprecation of disk/NFS storage for GitLab Pages"
  documentation_link: 'https://docs.gitlab.com/ee/administration/pages/#using-object-storage'
  reporter: iganbaruch
  due: June 22, 2021
  issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/3901'
  description: |
    To make GitLab Pages cloud-native compatible, starting in GitLab 14.0, we're changing the underlying storage architecture used by GitLab Pages to the [recently introduced ZIP storage](https://docs.gitlab.com/ee/administration/pages/#zip-storage).

    Your migration to the new zip archives architecture is designed to be automatic. However, if after the migration, some Pages stop working (you see a 404), it likely means automatic migration failed. To ease this transition to zip, a temporary flag `gitlab_pages['use_legacy_storage'] = true` will be available from GitLab 14.0 to 14.3, but it will be removed in GitLab 14.4. This flag will allow GitLab and GitLab Pages to use the non-zip deployments to serve content.

    In GitLab 13.11 & GitLab 13.12 you will be able to migrate to the new architecture earlier and test it in your environment prior to 14.0.
